commit:     a353f61d25e455291e5b09d806e32f8cb7b8a054
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 19 17:50:12 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Mar 19 19:03:43 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a353f61d

dev-python/rdflib: Bump to 6.3.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/rdflib/Manifest            |  1 +
 dev-python/rdflib/rdflib-6.3.1.ebuild | 84 +++++++++++++++++++++++++++++++++++
 2 files changed, 85 insertions(+)

diff --git a/dev-python/rdflib/Manifest b/dev-python/rdflib/Manifest
index bfbcb8ce50f6..e4a650ddcf39 100644
--- a/dev-python/rdflib/Manifest
+++ b/dev-python/rdflib/Manifest
@@ -1,2 +1,3 @@
 DIST rdflib-6.2.0.gh.tar.gz 4886953 BLAKE2B 
74044b0cbaf6c1ba6f2a43347112118dcf92b5237afdd49782ca6d637df092379ff2d81eaec254ad0bf25057f8c0cd44c82a35a89d4ce7b21c8e222de9aef16a
 SHA512 
8177c50e9c2d48859a061dfee24c3560b8f979bc306b3d940a9251ec130e3a324bbad474f4fa7ced5e11522d3bd4e13931461bf106f31177fd972806968d8245
 DIST rdflib-6.3.0.gh.tar.gz 4980436 BLAKE2B 
07f86418a0d598f59e4912057f4e11183bc0ad66a4cc5d7a83df6abce325f708a4920303afcbcdc97fb19b39199725a6410552704011e0f154815b7692724d88
 SHA512 
b8fd7d43f22779175e4d29f6256f070cb58f694fbfc9d068932c992ac732c687668ef68defbb6fa49f55f0b11d3b8f65b3a9d94aa8693ad9b8ab7c670625d06c
+DIST rdflib-6.3.1.gh.tar.gz 4985262 BLAKE2B 
1de63607aca70f3c498970fd639a8fb61c65ecd1fbae63c466bf7750dd3f84264f3abe2ed958fef4f1a06877069a0d21ba36ac946a72fc53f93087b27e35a69a
 SHA512 
e348b721edac73a5cedc499e7e50819694c931d921fc1637fc2f26f66801d17d169cc447126974828d745851818bd5a616081dddf9a48e483835dbf20288b318

diff --git a/dev-python/rdflib/rdflib-6.3.1.ebuild 
b/dev-python/rdflib/rdflib-6.3.1.ebuild
new file mode 100644
index 000000000000..2535757a8ef0
--- /dev/null
+++ b/dev-python/rdflib/rdflib-6.3.1.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{9..11} )
+PYTHON_REQ_USE="sqlite?,threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="RDF library containing a triple store and parser/serializer"
+HOMEPAGE="
+       https://github.com/RDFLib/rdflib/
+       https://pypi.org/project/rdflib/
+"
+SRC_URI="
+       https://github.com/RDFLib/rdflib/archive/${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 
~riscv ~sparc ~x86"
+IUSE="examples sqlite"
+
+RDEPEND="
+       <dev-python/isodate-1[${PYTHON_USEDEP}]
+       >=dev-python/isodate-0.6.0[${PYTHON_USEDEP}]
+       dev-python/html5lib[${PYTHON_USEDEP}]
+       <dev-python/pyparsing-4[${PYTHON_USEDEP}]
+       >=dev-python/pyparsing-2.1.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/requests[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       # doctests require internet
+       sed -i -e '/doctest-modules/d' pyproject.toml || die
+
+       # we disable pytest-cov
+       sed -i -e 's@, no_cover: None@@' test/test_misc/test_plugins.py || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       local EPYTEST_DESELECT=(
+               # Internet
+               "test/test_examples.py::test_example[sparqlstore_example.py]"
+               test/test_sparql/test_service.py
+               
"test/jsonld/test_onedotone.py::test_suite[https://w3c.github.io/json-ld-api/tests/toRdf-manifest#tc034-do_test_parser-https://w3c.github.io/json-ld-api/tests/-toRdf-c034-toRdf/c034-in.jsonld-toRdf/c034-out.nq-False-options66]";
+               
"test/jsonld/test_onedotone.py::test_suite[https://w3c.github.io/json-ld-api/tests/toRdf-manifest#te126-do_test_parser-https://w3c.github.io/json-ld-api/tests/-toRdf-e126-toRdf/e126-in.jsonld-toRdf/e126-out.nq-False-options167]";
+               
"test/jsonld/test_onedotone.py::test_suite[https://w3c.github.io/json-ld-api/tests/toRdf-manifest#te127-do_test_parser-https://w3c.github.io/json-ld-api/tests/-toRdf-e127-toRdf/e127-in.jsonld-toRdf/e127-out.nq-False-options168]";
+               
"test/jsonld/test_onedotone.py::test_suite[https://w3c.github.io/json-ld-api/tests/toRdf-manifest#tso05-do_test_parser-https://w3c.github.io/json-ld-api/tests/-toRdf-so05-toRdf/so05-in.jsonld-toRdf/so05-out.nq-False-options253]";
+               
"test/jsonld/test_onedotone.py::test_suite[https://w3c.github.io/json-ld-api/tests/toRdf-manifest#tso08-do_test_parser-https://w3c.github.io/json-ld-api/tests/-toRdf-so08-toRdf/so08-in.jsonld-toRdf/so08-out.nq-False-options254]";
+               
"test/jsonld/test_onedotone.py::test_suite[https://w3c.github.io/json-ld-api/tests/toRdf-manifest#tso09-do_test_parser-https://w3c.github.io/json-ld-api/tests/-toRdf-so09-toRdf/so09-in.jsonld-toRdf/so09-out.nq-False-options255]";
+               
"test/jsonld/test_onedotone.py::test_suite[https://w3c.github.io/json-ld-api/tests/toRdf-manifest#tso11-do_test_parser-https://w3c.github.io/json-ld-api/tests/-toRdf-so11-toRdf/so11-in.jsonld-toRdf/so11-out.nq-False-options256]";
+               
test/test_extras/test_infixowl/test_basic.py::test_infix_owl_example1
+               test/test_extras/test_infixowl/test_context.py::test_context
+               test/test_graph/test_graph.py::test_guess_format_for_parse
+       )
+       local EPYTEST_IGNORE=(
+               # Uses network
+               test/test_so_69984830.py
+       )
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+
+       epytest
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+
+       if use examples; then
+               dodoc -r examples
+               docompress -x /usr/share/doc/${PF}/examples
+       fi
+}

Reply via email to